
Foreman - Bug #4303

Foreman fails to import reports after upgrade to 1.4

02/10/2014 09:14 AM - Dennis Benndorf

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Database   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Foreman fails to import reports after upgrade to 1.4 with the following message:

Started POST "/api/reports" for 193.174.240.222 at Mon Feb 10 10:06:25 +0100 2014

Processing by Api::V2::ReportsController#create as JSON

Parameters: {"apiv"=>"v2", "report"=>"[FILTERED]"}

undefined method `chefproxy_proxies' for #<Class:0x7f3e3fbf84a0> (NoMethodError)

We do not use Chef but Puppet instead so changing a line in

/usr/share/foreman/app/controllers/concerns/foreman/controller/smart_proxy_auth.rb

1. if !Setting[:restrict_registered_puppetmasters] or

auth_smart_proxy(SmartProxy.puppet_proxies+SmartProxy.chefproxy_proxies, Setting[:require_ssl_puppetmasters])

if !Setting[:restrict_registered_puppetmasters] or auth_smart_proxy(SmartProxy.puppet_proxies,

Setting[:require_ssl_puppetmasters])

Fixes the import Problem for me!

History

#1 - 02/10/2014 09:16 AM - Dominic Cleal

- Category set to Database

- Status changed from New to Feedback

This indicates an incomplete upgrade, please run foreman-rake db:seed, restart Foreman and then it should work.

http://theforeman.org/manuals/1.4/index.html#3.6Upgrade

#2 - 04/07/2014 01:54 PM - Soungalo SIDIBE

Its works for me

thankyou

#3 - 04/08/2014 06:34 AM - Ohad Levy

- Status changed from Feedback to Resolved

#4 - 06/24/2014 07:11 PM - Walden Raines

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1112835

#5 - 06/25/2014 07:20 AM - Dominic Cleal

- Bugzilla link deleted (https://bugzilla.redhat.com/show_bug.cgi?id=1112835)
